Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonService

    griffon.core.ResourceHandler
      griffon.core.GriffonService
          griffon.core.ApplicationHandler
              griffon.core.GriffonArtifact
                  griffon.core.MVCHandler
                      griffon.core.ThreadingHandler

All Superinterfaces:
  ResourceHandler, ApplicationHandler, GriffonArtifact, MVCHandler, ThreadingHandler

    public interface GriffonService
    extends GriffonArtifact

Identifies a Service artifact.

Authors:
  Andres Almiray

Since:
  0.9.1

Method Summary

Methods inherited from interface GriffonArtifact
getGriffonClass, getLog, getMetaClass, newInstance

Methods inherited from interface ResourceHandler
getResourceAsStream, getResourceAsURL, getResources

Methods inherited from interface ApplicationHandler
getApp

Methods inherited from interface MVCHandler
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from interface ThreadingHandler
execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, isUIThread

Groovy Documentation